#!/bin/bash
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

. /var/packages/DirectoryServer/target/simplesamlphp/www/syno_common.cgi

ServiceUnavailable()
{
	if [ "$1" = "Status: 302 Found" ] || [ "$1" = "Status: 303 See Other" ]; then
		echo "Status: 503 Service Unavailable"
	else
		echo "$1"
	fi
}

/usr/syno/sbin/synoservice --is-enabled ldap-server > /dev/null
if [ $? -eq 0 ]; then
	SYNO_HTTP_HEADER_CALLBACK="ServiceUnavailable"
fi

SYNO_HTTP_CONTENT_CALLBACK="HttpContentDiscard"

SYNOCGIInit
SYNOCGIWrap
SYNOCGIExit

# vim:ft=sh ts=4 sts=4 sw=4
